## barbican-tempest-plugin 1.0.0

=== debian/changelog ===
barbican-tempest-plugin (1.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 10:57:56 +0200

barbican-tempest-plugin (1.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #958745).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/barbican-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## barbican-tempest-plugin 1.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0

six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0

oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
barbican-tempest-plugin (1.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 11:28:58 +0200

barbican-tempest-plugin (1.1.0-1) experimental; urgency=medium

  * New upstream release

 -- Thomas Goirand <zigo@debian.org>  Mon, 05 Oct 2020 10:14:24 +0200

=== debian/control ===
Source: barbican-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/barbican-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/barbican-tempest-plugin.git
Homepage: https://opendev.org/openstack/barbican-tempest-plugin

Package: barbican-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-six,
 python3-cryptography,
 python3-oslo.config,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Barbican plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Barbican plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/barbican-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

#ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
#	pkgos-dh_auto_test --no-py2
#endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## barbican-tempest-plugin 1.5.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,6 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-six>=1.10.0 # MIT
 tempest>=17.1.0 # Apache-2.0
 cryptography>=2.1 # BSD/Apache-2.0

=== debian/changelog ===
barbican-tempest-plugin (1.5.0-1) unstable; urgency=medium

  * Uploading to unstable.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Oct 2021 08:04:47 +0200

barbican-tempest-plugin (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:26:20 +0200

barbican-tempest-plugin (1.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:42:35 +0200

barbican-tempest-plugin (1.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 01 Apr 2021 13:51:00 +0200

barbican-tempest-plugin (1.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Mar 2021 21:13:56 +0100

barbican-tempest-plugin (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:42:30 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Build-Depends:
  debhelper-compat (= 11),
  dh-python,
- openstack-pkg-tools (>= 109~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/barbican-tempest-plugin
 Vcs-Git: https://salsa.debian.org/openstack-team/tempest/barbican-tempest-plugin.git
 Homepage: https://opendev.org/openstack/barbican-tempest-plugin
@@ -20,7 +20,6 @@
 Architecture: all
 Depends:
  python3-pbr,
- python3-six,
  python3-cryptography,
  python3-oslo.config,
  tempest,

## barbican-tempest-plugin 1.6.0

=== debian/changelog ===
barbican-tempest-plugin (1.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 15:59:29 +0200

## barbican-tempest-plugin 1.7.0

=== debian/changelog ===
barbican-tempest-plugin (1.7.0-1) unstable; urgency=medium

  * New upstream release.
  * depends: min version of tempest (>= 27.0.0).

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 16:41:39 +0200

## barbican-tempest-plugin 2.0.0

=== debian/changelog ===
barbican-tempest-plugin (2.0.0-3) unstable; urgency=medium

  * Cleans correctly (Closes: #1043815).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 12:01:33 +0200

barbican-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:28:20 +0200

barbican-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:17:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build
 
 override_dh_auto_test:
 	echo "Do nothing..."

## barbican-tempest-plugin 3.0.0

=== debian/changelog ===
barbican-tempest-plugin (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:28:14 +0200

barbican-tempest-plugin (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Sep 2023 17:05:00 +0200

barbican-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 14:52:29 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
-	rm -rf build
+	rm -rf build *.egg-info
 
 override_dh_auto_test:
 	echo "Do nothing..."

## barbican-tempest-plugin 4.0.0

=== debian/changelog ===
barbican-tempest-plugin (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Apr 2024 10:37:55 +0200

barbican-tempest-plugin (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2024 12:44:08 +0100

barbican-tempest-plugin (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 14:15:21 +0100

## barbican-tempest-plugin 4.1.0

=== debian/changelog ===
barbican-tempest-plugin (4.1.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090397).

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 09:46:25 +0100

barbican-tempest-plugin (4.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 22:59:23 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/barbican-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## barbican-tempest-plugin 4.3.0

=== debian/changelog ===
barbican-tempest-plugin (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:07:13 +0100

barbican-tempest-plugin (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 14:09:13 +0100

barbican-tempest-plugin (4.2.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:42:37 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  python3-pbr,
  python3-cryptography,
  python3-oslo.config,
- tempest,
+ tempest (>= 27.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

## barbican-tempest-plugin 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
-tempest>=17.1.0 # Apache-2.0
+tempest>=27.0.0 # Apache-2.0
 cryptography>=2.1 # BSD/Apache-2.0
 
 oslo.config>=5.2.0 # Apache-2.0

=== debian/changelog ===
barbican-tempest-plugin (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:27:50 +0200

barbican-tempest-plugin (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:52:36 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/barbican-tempest-plugin refs/tags/(\d[brc\d\.]+)
